Subject: Re: [PATCH 0/3] Wider exposure for index-v4

From: Thomas Gummerer <[email-masked]>
Date: Sun, 16 Feb 2014 11:37:39 +0100

Duy Nguyen <[email-masked]> writes:

> On Sun, Feb 16, 2014 at 2:23 AM, Thomas Gummerer <[email-masked]> wrote:
>> Hi,
>>
>> since index-v5 didn't seem to generate enough interest to be merged, I
>
> I thought there were some comments last time that you were going to
> address and resubmit?

Yes, there were some comments to the last round, which I already fixed
locally, I'd just have to rebase it to make sure it stell applies
cleanly.  No responses from Junio to [1] and [2] gave me the impression
that it's not going to be applied.  I would be happy to rebase and
submit if there is a chance for it getting in.

[1] http://thread.gmane.org/gmane.comp.version-control.git/238414/focus=239065
[2] http://thread.gmane.org/gmane.comp.version-control.git/232488/focus=233504

>> have a few patches that give users users easier access to index-v4.
>> Until now users have to go into the source code and compile git
>> themselves to use index-v4 by default, or use git-update-index to
>> change the index file to the new version.
>
> Not objecting this, but I think something like [1] would give v4 more
> exposure. Reading the patch again, I think putting that detection code
> in unpack_trees() or git-merge may make more sense because people will
> be advised about upgrading to v4 at the next fast-forward.

Thanks, I forgot about this patch.  I still think at least the first two
patches of this series make sense in addition to your patch, allowing
developers to easily run the test suite with index-v4.

> [1] http://article.gmane.org/gmane.comp.version-control.git/216307
>
>> With this patches it's possible to set the default index file format
>> either in gitconfig or in an environment variable.  It also simplifies
>> testing index-v4 by adding a Makefile knob to use it for running the
>> test suite.  For safety, existing repositories are not changed when
>> the environment or the config variables are set.
>>
>> I'm not sure about the precedence in patch 3, right now the environment
>> variable has precedence, but it should be easy to give the config
>> option precedence over that.
>>
>> Thomas Gummerer (3):
>> introduce GIT_INDEX_VERSION environment variable
>> test-lib: allow setting the index format version
>> read-cache: add index.version config variable
>>
>> Documentation/config.txt              |  4 +++
>> Documentation/git.txt                 |  5 ++++
>> Makefile                              |  7 +++++
>> read-cache.c                          | 36 +++++++++++++++++++++++-
>> t/t1600-index.sh                      | 52 +++++++++++++++++++++++++++++++++++
>> t/t2104-update-index-skip-worktree.sh |  2 ++
>> t/test-lib-functions.sh               |  5 ++++
>> t/test-lib.sh                         |  3 ++
>> 8 files changed, 113 insertions(+), 1 deletion(-)
>> create mode 100755 t/t1600-index.sh
>>
>> --
>> 1.8.3.2
>>
>> --
>> To unsubscribe from this list: send the line "unsubscribe git" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>
>
> --
> Duy